Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Interface OamLookupTable

public abstract interface OamLookupTable

This interface provides a mechanism for an application to map between a MBean's ObjectName and a reference.

An application may operate with or without a JMX agent and the need for this LookupTable arises when an application is running without JMX. Without JMX the application needs a means to map from an ObjectName to an Object Reference. The LookupTable provides this mapping.

The implementation should have a class that will implement the OamLookupTable and everything can then be accessed through this class. The OamLayerManagerMBean is responsible for registering the MBean's ObjectName and reference with this class. And also when the MBean is being deleted the corresponding entry in this class must be removed. The same OamLookupTable will be shared between all layer managers.

Note: An implementation may use any means to maintain these mappings. This interface just provides a convenient way to perform this.

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Method Summary
`java.lang.Object` | `get(ObjectName name)` Returns a reference to the object with the supplied ObjectName.
`void` | `put(ObjectName name, java.lang.Object reference)` Adds an ObjectName/object reference pair to the table.
`void` | `remove(ObjectName name)` Removes an ObjectName/object reference pair from the table.

Method Detail

### put

    public void put(ObjectName name,
                    java.lang.Object reference)

  Adds an ObjectName/object reference pair to the table.

### remove

    public void remove(ObjectName name)

  Removes an ObjectName/object reference pair from the table.

### get

    public java.lang.Object get(ObjectName name)

  Returns a reference to the object with the supplied ObjectName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems